import './layout.scss';
import './accordion/_accordion.scss';
import './flex/_flex.scss';
import './one-column/_one-column.scss';
import './two-column/_two-column.scss';
import './three-column/_three-column.scss';
import './four-column/_four-column.scss';

import { FadeInSlideUpAnimator } from 'utils/animators/FadeInSlideUpAnimator.js';

Drupal.behaviors.layouts = {
  attach(context) {
    const REGION_ITEMS = context.querySelectorAll('.layout__region-item');
    if (!REGION_ITEMS) return;

    new FadeInSlideUpAnimator(REGION_ITEMS);
  }
}
